# the tar file from the git sources is created with a script that executes
# the following commands:

#GITHUB_USER=supernovus
#SOFTWARE=exemel
#GIT_SRC_DIR=${SOFTWARE}-0.0.3
#
#URL=https://github.com/${GITHUB_USER}/${SOFTWARE}.git
#
#echo "creating tar archive from git sources"
#echo
#
#rm -rf ${SOFTWARE} ${SOFTWARE}-0.*
#git clone ${URL}
#
#rm -f $GIT_SRC_DIR
#ln -s $SOFTWARE $GIT_SRC_DIR
#tar --exclude="$GIT_SRC_DIR/.git" -czvhf ${GIT_SRC_DIR}.tar.gz ${GIT_SRC_DIR}/
#
#echo
#echo "done"


Name:		rakudo-XML
Version:	0.0.3
Release:	0.1.20170930git420bf9c%{?dist}
Summary:	An Object-Oriented XML Library for Perl 6 

License:	Artistic 2.0
URL:		https://github.com/supernovus/exemel
Source0:	ftp://ftp.uni-siegen.de/pub/Perl6Mod.src/exemel-%{version}.tar.gz

BuildRequires:	perl-interpreter, perl-Test-Harness
BuildRequires:	rakudo >= %rakudo_rpm_version
Requires:	rakudo >= %rakudo_rpm_version

ExcludeArch:	s390x ppc64


%description
XML (originally called Exemel) is a full fledged XML library for Perl 6.

It handles parsing, generating, manipulating and querying XML. It supports
element queries, parent element information, namespaces, and an extendable
interface.

It supports every major kind of XML Node (XML::Node):

    - Document (XML::Document)
    - Element (XML::Element)
    - Text (XML::Text)
    - Comment (XML::Comment)
    - PI (XML::PI)
    - CDATA (XML::CDATA)

You can easily serialize the objects back to XML text by using any XML::Node
object in a string context.


%prep
%setup -q -n exemel-%{version}


%install
RAKUDO_RERESOLVE_DEPENDENCIES=0 %perl6_mod_inst --to=%{buildroot}%{perl6_vendor_dir} --for=vendor


%check
prove -e 'perl6 -Ilib' t


%files
%doc README.md
%license LICENSE
%{perl6_vendor_dir}/*/*


%changelog
* Sat Sep 30 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.0.3-0.1.20170930git420bf9c
- create initial spec file
